#ifndef ParticleStatistic_h
#define ParticleStatistic_h

#include "AnalysisSteering.h"
#include <vector>

class Event;
class PtStatistic;

class ParticleStatistic: public AnalysisSteering {

 public:

  ParticleStatistic();
  virtual ~ParticleStatistic();

  // function to be called at execution start
  virtual void beginJob();
  // function to be called at execution end
  virtual void   endJob();
  // function to be called for each event
  virtual void process( const Event& ev );

 private:

  std::vector<PtStatistic*> ptStat;

  ParticleStatistic           ( const ParticleStatistic& x );
  ParticleStatistic& operator=( const ParticleStatistic& x );

};

#endif

